Bug 1989780 - Install plans permanently fail due to CRD resource modified or similar transient errors
Summary: Install plans permanently fail due to CRD resource modified or similar transi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.6.z
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: ---
: 4.7.z
Assignee: Joe Lanford
QA Contact: Bruno Andrade
URL:
Whiteboard:
Depends On: 1989779
Blocks: 1989781
TreeView+ depends on / blocked
 
Reported: 2021-08-04 01:09 UTC by Joe Lanford
Modified: 2021-09-29 14:10 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1989779
: 1989781 (view as bug list)
Environment:
Last Closed: 2021-09-29 14:10:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 2314 0 None None None 2021-08-11 20:55:50 UTC
Red Hat Product Errata RHBA-2021:3636 0 None None None 2021-09-29 14:10:32 UTC

Comment 2 Jian Zhang 2021-09-08 13:10:26 UTC
kubectl exec catalog-operator-7f656b6d67-mcd82  -n olm -- olm --version                                                                                                                                                             
OLM version: 0.17.0
git commit: 5eb1fa6ad6ecfbf1263a145e54e5bd181a078097
Install operator into a namespace (e.g 3scale from OperatorHub. This will install CRDs onto the cluster
kubectl get csv -n olm           
NAME                  DISPLAY          VERSION   REPLACES              PHASE
etcdoperator.v0.9.4   etcd             0.9.4     etcdoperator.v0.9.2   Succeeded
packageserver         Package Server   0.17.0                          Succeeded
Run some script that constantly updates the CRDs of the installed operator to mimic some event updating the CRD
 while true; do        
    kubectl patch crd etcdclusters.etcd.database.coreos.com  --type=json -p='[{"op" : "add", "path" : "/metadata/labels/test", "value": "test"}]'
    kubectl patch crd etcdclusters.etcd.database.coreos.com --type=json -p='[{"op" : "remove", "path" : "/metadata/labels/test"}]'
done

customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
The request is invalid
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched
customresourcedefinition.apiextensions.k8s.io/etcdclusters.etcd.database.coreos.com patched

The requests fail when an Operator is being installed

Install the same operator into a different namespace
kubectl get csv --all-namespaces 
NAMESPACE   NAME                  DISPLAY          VERSION   REPLACES              PHASE
etcd-1      etcdoperator.v0.9.4   etcd             0.9.4     etcdoperator.v0.9.2   Succeeded
etcd        etcdoperator.v0.9.4   etcd             0.9.4     etcdoperator.v0.9.2   Succeeded
olm         etcdoperator.v0.9.4   etcd             0.9.4     etcdoperator.v0.9.2   Succeeded
olm         packageserver         Package Server   0.17.0                          Succeeded
Inspect for failed install plan
kubectl get ip --all-namespaces                            
NAMESPACE   NAME            CSV                   APPROVAL    APPROVED
etcd-1      install-shkw9   etcdoperator.v0.9.4   Automatic   true
etcd        install-mbkfl   etcdoperator.v0.9.4   Automatic   true
olm         install-lkfh5   etcdoperator.v0.9.4   Automatic   true

Comment 4 Bruno Andrade 2021-09-14 18:01:50 UTC
Marking as VERIFIED considering comment #2.

Comment 7 errata-xmlrpc 2021-09-29 14:10:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.32 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3636


Note You need to log in before you can comment on or make changes to this bug.